Bug 1646546 (CVE-2018-18897) - CVE-2018-18897 poppler: memory leak in GfxColorSpace::setDisplayProfile in GfxState.cc
Summary: CVE-2018-18897 poppler: memory leak in GfxColorSpace::setDisplayProfile in Gf...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18897
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1646552 1646549 1646550 1648860 1717776
Blocks: 1646551
TreeView+ depends on / blocked
 
Reported: 2018-11-05 16:23 UTC by Laura Pardo
Modified: 2019-09-29 15:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:20:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2022 None None None 2019-08-06 12:02:53 UTC
Red Hat Product Errata RHSA-2019:2713 None None None 2019-09-11 09:33:13 UTC

Description Laura Pardo 2018-11-05 16:23:00 UTC
An issue was discovered in Poppler 0.71.0. There is a memory leak in GfxColorSpace::setDisplayProfile in GfxState.cc, as demonstrated by pdftocairo. 


References:
https://gitlab.freedesktop.org/poppler/poppler/issues/654

Comment 1 Laura Pardo 2018-11-05 16:23:45 UTC
Created mingw-poppler tracking bugs for this issue:

Affects: fedora-all [bug 1646550]


Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1646549]

Comment 4 Stefan Cornelius 2018-11-12 10:18:52 UTC
Statement:

This issue affects the versions of poppler as shipped with Red Hat Enterprise Linux 6 and 7.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Low, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 8 errata-xmlrpc 2019-08-06 12:02:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2022 https://access.redhat.com/errata/RHSA-2019:2022

Comment 9 Product Security DevOps Team 2019-08-06 13:20:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-18897

Comment 10 errata-xmlrpc 2019-09-11 09:33:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2713 https://access.redhat.com/errata/RHSA-2019:2713


Note You need to log in before you can comment on or make changes to this bug.